groovy.util

## Class ObservableMap.PropertyRemovedEvent

- java.lang.Object
- - java.util.EventObject
  - - java.beans.PropertyChangeEvent
    - - groovy.util.ObservableMap.PropertyEvent
      - - groovy.util.ObservableMap.PropertyRemovedEvent

All Implemented Interfaces:
  Serializable

Enclosing class:
  ObservableMap

    public static class ObservableMap.PropertyRemovedEvent
    extends ObservableMap.PropertyEvent

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class groovy.util.ObservableMap.PropertyEvent

`ADDED, CLEARED, MULTI, NEWVALUE, OLDVALUE, REMOVED, UPDATED`

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`ObservableMap.PropertyRemovedEvent(Object source, String propertyName, Object oldValue)`

### Method Summary

### Methods inherited from class groovy.util.ObservableMap.PropertyEvent

`getType, getTypeAsString`

### Methods inherited from class java.beans.PropertyChangeEvent

`getNewValue, getOldValue, getPropagationId, getPropertyName, setPropagationId, toString`

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ObservableMap.PropertyRemovedEvent

    public ObservableMap.PropertyRemovedEvent(Object source,
                                      String propertyName,
                                      Object oldValue)